Skip to main content
POST
/
v2
/
interactive-submission
/
executeAndWaitForTransaction
/v2/interactive-submission/executeAndWaitForTransaction
curl --request POST \
  --url https://api.example.com/v2/interactive-submission/executeAndWaitForTransaction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "preparedTransaction": "<string>",
  "partySignatures": {
    "signatures": [
      {
        "party": "<string>",
        "signatures": [
          {
            "format": "<string>",
            "signature": "<string>",
            "signedBy": "<string>",
            "signingAlgorithmSpec": "<string>"
          }
        ]
      }
    ]
  },
  "submissionId": "<string>",
  "hashingSchemeVersion": "HASHING_SCHEME_VERSION_UNSPECIFIED",
  "deduplicationPeriod": {
    "DeduplicationDuration": {
      "value": {
        "seconds": 123,
        "nanos": 123
      }
    }
  },
  "userId": "<string>",
  "minLedgerTime": {
    "time": {
      "Empty": {}
    }
  }
}
'
{
  "transaction": {
    "updateId": "<string>",
    "effectiveAt": "<string>",
    "events": [
      {
        "ArchivedEvent": {
          "offset": 123,
          "nodeId": 123,
          "contractId": "<string>",
          "templateId": "<string>",
          "witnessParties": [
            "<string>"
          ],
          "packageName": "<string>",
          "implementedInterfaces": [
            "<string>"
          ]
        }
      }
    ],
    "offset": 123,
    "synchronizerId": "<string>",
    "recordTime": "<string>",
    "commandId": "<string>",
    "workflowId": "<string>",
    "traceContext": {
      "traceparent": "<string>",
      "tracestate": "<string>"
    },
    "externalTransactionHash": "<string>",
    "paidTrafficCost": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json
preparedTransaction
string
required

the prepared transaction Typically this is the value of the prepared_transaction field in PrepareSubmissionResponse obtained from calling prepareSubmission.

Required

partySignatures
PartySignatures · object
required

The party(ies) signatures that authorize the prepared submission to be executed by this node. Each party can provide one or more signatures.. and one or more parties can sign. Note that currently, only single party submissions are supported.

Required

submissionId
string
required

A unique identifier to distinguish completions for different submissions with the same change ID. Typically a random UUID. Applications are expected to use a different UUID for each retry of a submission with the same change ID. Must be a valid LedgerString (as described in value.proto).

Required

hashingSchemeVersion
enum<string>
required

The hashing scheme version used when building the hash

Required

Available options:
HASHING_SCHEME_VERSION_UNSPECIFIED,
HASHING_SCHEME_VERSION_V2,
HASHING_SCHEME_VERSION_V3
deduplicationPeriod
DeduplicationPeriod · object
userId
string

See [PrepareSubmissionRequest.user_id]

Optional

minLedgerTime
MinLedgerTime · object

If set will influence the chosen ledger effective time but will not result in a submission delay so any override should be scheduled to executed within the window allowed by synchronizer.

Optional

transactionFormat
TransactionFormat · object

If no transaction_format is provided, a default will be used where transaction_shape is set to TRANSACTION_SHAPE_ACS_DELTA, event_format is defined with filters_by_party containing wildcard-template filter for all original act_as and read_as parties and the verbose flag is set. When the transaction_shape TRANSACTION_SHAPE_ACS_DELTA shape is used (explicitly or is defaulted to as explained above), events will only be returned if the submitting party is hosted on this node.

Optional

Response

transaction
JsTransaction · object
required

The transaction that resulted from the submitted command. The transaction might contain no events (request conditions result in filtering out all of them).

Required